%{?!_themedir:%define _themedir %{_datadir}/icons/crystal_project}

Name:       crystal-project
Version:    20070620
Release:    12%{?dist}

Summary:    Crystal Project KDE Icon set
Group:      User Interface/Desktops
License:    LGPLv2+

URL:        http://www.everaldo.com/crystal
# http://www.kde-look.org/content/show.php?content=60475
Source:     http://everaldo.com/crystal/crystal_project.tar.gz

BuildRoot:  %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:  noarch

%description
Crystal Project is a KDE Icon set.

%prep
%setup -q -n "crystal_project"

%build

%install
%{__rm} -rf %{buildroot}
%{__mkdir} -p %{buildroot}%{_themedir}/

#set 644 permissions on icons
find . -type f -exec chmod 644 {} \;

# remove annoying animated linspire logo on konqueror
# we are fedora afterall
pwd
for SIZE in 16x16 22x22 32x32 ; do
    %{__rm} $SIZE/actions/kde.png ||:
done

%{__cp} -apf * %{buildroot}%{_themedir}/


%clean
%{__rm} -rf %{buildroot}

%files
%doc readme.txt
%defattr(-,root,root,-)
%{_themedir}/

%changelog
* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 20070620-12
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Wed Feb 13 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 20070620-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Wed Jul 18 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 20070620-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 20070620-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 20070620-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 20070620-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Tue Feb 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 20070620-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Sun Jun 15 2008 Chitlesh Goorah <chitlesh [AT] fedoraproject DOT org> 20070620-5
- Bug 440357: crystal-project: drop Requires: kdebase

* Mon Aug 06 2007 Chitlesh Goorah <chitlesh [AT] fedoraproject DOT org> 20070620-4
- removed dependency on fedora-logos

* Tue Jun 26 2007 Chitlesh Goorah <chitlesh [AT] fedoraproject DOT org> 20070620-3
- removed annoying linspire logo from konqueror

* Mon Jun 25 2007 Chitlesh Goorah <chitlesh [AT] fedoraproject DOT org> 20070620-2
- set 644 permissions on icons

* Thu Jun 21 2007 Chitlesh Goorah <chitlesh [AT] fedoraproject DOT org> 20070620-1
- Initial Package
